# Module.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Task_T.h"`
`#include "ace/os_include/os_dirent.h"`
`#include "ace/Module.inl"`
`#include "ace/Module.cpp"`

Include dependency graph for Module.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Module_Base
| Workaround HP/C++ compiler bug with enums in templates. More...
class | ACE_Module<>
| An abstraction for managing a bi-directional flow of messages. More...

## Detailed Description

Id
  Module.h,v 4.38 2006/01/17 20:28:29 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>